<ion-content [fullscreen]="true" color="light">
  <div class="header-content">
    <ion-fab slot="fixed" vertical="top" horizontal="start">
      <ion-fab-button color="none" (click)="goBack()">
        <ion-icon name="chevron-back-outline"></ion-icon>
      </ion-fab-button>
    </ion-fab>

    <h2>{{ categorySelected?.name }}</h2>
  </div>

  <div class="content-items">
    <ion-fab slot="fixed" vertical="top" horizontal="end" [edge]="true">
      <ion-fab-button>
        <ion-icon name="share-outline"></ion-icon>
      </ion-fab-button>
      <ion-fab-list side="bottom">
        <ion-fab-button color="tertiary" (click)="copyClipboard()">
          <ion-icon name="clipboard-outline"></ion-icon>
        </ion-fab-button>
        <ion-fab-button color="tertiary" (click)="shareTip()">
          <ion-icon name="share-social-outline"></ion-icon>
        </ion-fab-button>
      </ion-fab-list>
    </ion-fab>

    <div class="content-tip">
      <h2><strong>{{ tip?.title }}</strong></h2>
      <h5 class="ion-padding-vertical" [innerHTML]="tip?.description"></h5>
    </div>
  </div>
</ion-content>
